package com.fuzamei.entity;


import java.io.Serializable;

import javax.validation.constraints.Size;

import org.hibernate.validator.constraints.NotEmpty;


public class User implements Serializable{
	private int id;	//主键
	private int user_id;	//用户id
	@NotEmpty(message = "用户名不能为空")
	private String user_name;	//用户名称
	@Size(min = 6,max = 8,message = "密码必须为6到8位的数字")
	private String password;	//用户密码
	private String random;		//随机数
	private String public_key;	//公钥
	private String private_key;	//私钥
	private String organization_name;	//机构名称
	private String person_name;			//人员名称
	private int role_id;				//角色id
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getUser_id() {
		return user_id;
	}
	public void setUser_id(int user_id) {
		this.user_id = user_id;
	}
	public String getUser_name() {
		return user_name;
	}
	public void setUser_name(String user_name) {
		this.user_name = user_name;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getRandom() {
		return random;
	}
	public void setRandom(String random) {
		this.random = random;
	}
	public String getPublic_key() {
		return public_key;
	}
	public void setPublic_key(String public_key) {
		this.public_key = public_key;
	}
	public String getPrivate_key() {
		return private_key;
	}
	public void setPrivate_key(String private_key) {
		this.private_key = private_key;
	}
	public String getOrganization_name() {
		return organization_name;
	}
	public void setOrganization_name(String organization_name) {
		this.organization_name = organization_name;
	}
	public String getPerson_name() {
		return person_name;
	}
	public void setPerson_name(String person_name) {
		this.person_name = person_name;
	}
	public int getRole_id() {
		return role_id;
	}
	public void setRole_id(int role_id) {
		this.role_id = role_id;
	}
	@Override
	public String toString() {
		return "User [id=" + id + ", user_id=" + user_id + ", user_name=" + user_name + ", password=" + password
				+ ", random=" + random + ", public_key=" + public_key + ", private_key=" + private_key
				+ ", organization_name=" + organization_name + ", person_name=" + person_name + ", role_id=" + role_id
				+ "]";
	}
	
	
}
